MAX_LINES = 15

COLOR = {};
COLOR["red"] = "<font style='color: #fc1800'>";
COLOR["blue"] = "<font style='color: #3194fc'>";
COLOR["yellow"] = "<font style='color: #ffdc00'>";

lines = {};
local a;
for a = 1, MAX_LINES do
	lines[a] = "";
end

addhook("say", "log_say")
function log_say(id, txt)
	log_text(chat(id, txt, 0));
end

addhook("sayteam", "log_sayteam")
function log_sayteam(id, txt)
	log_text(chat(id, txt, 1));
end

addhook("join", "log_join")
function log_join(id)
	log_text(COLOR["yellow"] .. player(id, "name") .. " has joined the server.</font>");
end

addhook("leave", "log_leave")
function log_leave(id)
	log_text(COLOR["yellow"] .. player(id, "name") .. " has left the server.</font>");
end

function chat(id, txt, t)
	local prefix = "";

	if t == 1 then
		prefix = " (Team)";
	end
	
	if player(id, "health") <= 0 then
		if prefix == " (Team)" then
			prefix = " *DEAD* (Team)";
		else
			prefix = " *DEAD*";
		end
	end
	
	local color;
	
	if player(id, "team") == 1 then
		color = COLOR["red"];
	elseif player(id, "team") == 2 then
		color = COLOR["blue"];
	else
		color = COLOR["yellow"];
	end
	
	if prefix:len() == 0 then
		return color .. player(id, "name") .. ": " .. "</font>" .. COLOR["yellow"] .. txt .. "</font>";
	else
		return color .. player(id, "name") .. "</font>" .. COLOR["yellow"] .. prefix .. ": " .. txt .. "</font>";
	end
	
end


function log_text(txt)
	local log = io.open("chat_messages.txt", "w", "UTF-8");
	
	local i;
	for i = 0, MAX_LINES-2 do
		lines[(MAX_LINES-i)] = lines[(MAX_LINES-i)-1];
	end
	lines[1] = "<font face='arial' style='font-size: 11px;'>" .. txt .. "</font><br>";
	
	if log then
		for i = 1, MAX_LINES do
			log:write(lines[i])
		end
		log:close();
	end
end